# xarray.Dataset.reset_index

`Dataset.``reset_index`(dims_or_levels: Union[Hashable, Sequence[Hashable]], drop: bool = False, inplace: bool = None) → xarray.core.dataset.Dataset

  Reset the specified index(es) or multi-index level(s).

  Parameters:

  - dims_or_levels (str or list) – Name(s) of the dimension(s) and/or multi-index level(s) that will be reset.
  - drop (bool, optional) – If True, remove the specified indexes and/or multi-index levels instead of extracting them as new coordinates (default: False).

  Returns: | obj – Another dataset, with this dataset’s data but replaced coordinates.
  Return type: | Dataset

  See also

  `Dataset.set_index()`